dvb-file.h File Reference
Channel and transponder file read/write

Provides interfaces to deal with DVB channel and program files. More...

`#include "dvb-fe.h"`

Go to the source code of this file.

## Data Structures

struct | dvb_elementary_pid
| associates an elementary stream type with its PID More...
struct | dvb_entry
| Represents one entry on a DTV file. More...
struct | dvb_file
| Describes an entire DVB file opened. More...
struct | dvb_parse_table
| Describes the fields to parse on a file. More...
struct | dvb_parse_struct
| Describes the format to parse an specific delivery system. More...
struct | dvb_parse_file
| Describes an entire file format. More...

## Enumerations

enum | dvb_file_formats { FILE_UNKNOWN , FILE_ZAP , FILE_CHANNEL , FILE_DVBV5 , FILE_VDR }
| Known file formats. More...

## Functions

static void | dvb_file_free (struct dvb_file *dvb_file)
| Deallocates memory associated with a struct dvb_file.
struct dvb_file * | dvb_read_file (const char *fname)
| Read a file at libdvbv5 format.
int | dvb_write_file (const char *fname, struct dvb_file *dvb_file)
| Write a file at libdvbv5 format.
struct dvb_file * | dvb_read_file_format (const char *fname, uint32_t delsys, enum dvb_file_formats format)
| Read a file on any format natively supported by the library.
int | dvb_write_file_format (const char *fname, struct dvb_file *dvb_file, uint32_t delsys, enum dvb_file_formats format)
| Write a file on any format natively supported by the library.
int | dvb_store_entry_prop (struct dvb_entry *entry, uint32_t cmd, uint32_t value)
| Stores a key/value pair on a DVB file entry.
int | dvb_retrieve_entry_prop (struct dvb_entry *entry, uint32_t cmd, uint32_t *value)
| Retrieves the value associated witha key on a DVB file entry.
int | dvb_store_channel (struct dvb_file **dvb_file, struct dvb_v5_fe_parms *parms, struct dvb_v5_descriptors *dvb_desc, int get_detected, int get_nit)
| stored a new scanned channel into a dvb_file struct
int | dvb_parse_delsys (const char *name)
| Ancillary function that seeks for a delivery system.
enum dvb_file_formats | dvb_parse_format (const char *name)
| Ancillary function that parses the name of a file format.
struct dvb_file * | dvb_parse_format_oneline (const char *fname, uint32_t delsys, const struct dvb_parse_file *parse_file)
| Read and parses a one line file format.
int | dvb_write_format_oneline (const char *fname, struct dvb_file *dvb_file, uint32_t delsys, const struct dvb_parse_file *parse_file)
| Writes a file into an one line file format.
int | dvb_write_format_vdr (const char *fname, struct dvb_file *dvb_file)
| Writes a file into vdr format (compatible up to version 2.1).

## Variables

const struct dvb_parse_file | channel_file_format
| File format definitions for dvb-apps channel format.
const struct dvb_parse_file | channel_file_zap_format
| File format definitions for dvb-apps zap format.

## Detailed Description

Provides interfaces to deal with DVB channel and program files.

Copyright
  GNU Lesser General Public License version 2.1 (LGPLv2.1)

Author
  Mauro Carvalho Chehab

There are basically two types of files used for DVB:

- files that describe the physical channels (also called as transponders);
- files that describe the several programs found on a MPEG-TS (also called as zap files).

The libdvbv5 library defines an unified type for both types. Other applications generally use different formats.

The purpose of the functions and structures defined herein is to provide support to read and write to those different formats.

Bug Report
  Please submit bug reports and patches to linux.nosp@m.-med.nosp@m.ia@vg.nosp@m.er.k.nosp@m.ernel.nosp@m..org

Definition in file dvb-file.h.